27
ответов

Как обновить до последней версии SASS?

Это действительно глупо, но я уже больше часа нахожусь в Google и не могу найти ответ. Я на Ubuntu 10.10, и я пытаюсь обновить до последней версии SASS, чтобы я мог использовать правило @import ...
вопрос задан: 4 January 2012 04:34
24
ответа

Не удается запустить программу, установленную через gem install

Я установил Ruby с помощью RVM. Я выполнил команду rspec для установки gem и, похоже, правильно установил rspec. Если я делаю rspec, я получаю «Программа rspec» в настоящее время не установлена ​​», и я ...
вопрос задан: 27 May 2012 03:27
14
ответов

Ошибка при установке рельсов

Следуя этому руководству, чтобы установить ruby ​​на rails на ubuntu 11.10 с sqlite3, когда я запускаю следующую команду sudo gem install rails, я получаю следующую ошибку: ERROR: Не удалось найти ...
вопрос задан: 31 January 2012 20:25
10
ответов

Как я могу исправить эти ошибки при попытке запустить проект на основе Ruby на NetBeans 6.9.1?

Я пытаюсь запустить проект на основе Ruby на NetBeans 6.9.1, но ничего не происходит, и Mongrel показывает сообщение об ошибке. ruby -v = & gt; 1.8.7 rails -v = & gt; 2.3.8 gem -v = & gt; 1.5.0 Сообщение об ошибке: / var / ...
вопрос задан: 28 July 2017 17:33
10
ответов

Ошибка при попытке установить zsteg

При попытке установить zsteg на Ubuntu Server (Linux 4.8.0-49-generic x86_64) я столкнулся со следующей ошибкой: $ sudo gem install zsteg Построение собственных расширений. Это может занять некоторое время ... ОШИБКА: ...
вопрос задан: 10 May 2017 07:34
9
ответов

Является ли ruby ​​обязательным условием для установки драгоценного камня?

Мне нужно установить gem на Ubuntu 16.04, чтобы установить CLI Travis CI. Нужно ли устанавливать рубин перед установкой gem? Я буквально понятия не имею о рубине и драгоценности.
вопрос задан: 18 October 2017 17:18
8
ответов

Как запустить программу ruby ​​/ gem?

Я установил taskjuggler (gem install taskjuggler), но теперь я понятия не имею, как его запустить ... $ taskjuggler taskjuggler: command not found $ gem taskjuggler ERROR: при выполнении gem ... (...
вопрос задан: 6 June 2012 20:57
7
ответов

Могу ли я отправить рубиновый драгоценный камень, над которым я работаю, для вскрытия приложений в Ubuntu?

Я работаю над проектом ruby, могу ли я отправить это на вскрытие приложения? В основном это приложение sinatra, которое запускает сайт на localhost и воспроизводит песни в браузере.
вопрос задан: 9 July 2012 14:55
4
ответа

Определите, какая версия драгоценного камня установлена?

Есть ли способ через CLI определить, какой номер версии драгоценного камня установлен на моей машине? Как и yolk -l для python? Я пытаюсь посмотреть, есть ли у меня последняя версия compass / sass / zurb ...
вопрос задан: 22 February 2013 18:38
2
ответа

Установка Jekyll с драгоценным камнем

Я использую Ubuntu 12.04. Я пытаюсь установить Jekyll через gem с sudo gem install jekyll, но я получаю эту ошибку в какой-то момент установки: ERROR: при создании документации для ...
вопрос задан: 24 July 2016 08:47
2
ответа

Не удалось установить Guard

Я видел гвардию и ее полезность в веб-разработке и хотел бы установить ее. Естественно, я ожидал, что смогу использовать sudo gem install guard для этого (да, это Ruby Gem). Однако ...
вопрос задан: 9 November 2013 22:13
1
ответ

Не удалось установить рубиновые драгоценные камни, необходимые брандмауэру, установить vagrant-proxyconf

У меня есть Ubuntu 16.04 машина за прокси. С этой машины я могу использовать прокси-сервер, как ожидалось, с помощью переменных среды http_proxy и https_proxy. Однако, когда новый бродячий бокс ...
вопрос задан: 23 May 2017 12:39
1
ответ

не удалось установить жонглирование json в ubuntu

Я установил рубин на рельсах, используя rvm. Я пытаюсь связать установку более старого проекта, который у меня был на предыдущем компьютере, но при запуске команды установки пакета:
вопрос задан: 18 March 2017 08:14
1
ответ

Gem Debugger не будет устанавливать с установкой пакета

Я установил рубин на рельсах, используя rvm. Я использую 2.2.0 ruby ​​и 4.2.0 Rails. Я попытался запустить установку пакета в более раннем проекте, который я разработал на прежнем компьютере, но я получаю: Gem :: Ext :: BuildError: ...
вопрос задан: 3 October 2015 12:18
1
ответ

Пакет устанавливает фатальную ошибку

Я переношу свой проект на новую машину, и у меня возникают проблемы с запуском установки пакета на машине, которую я пытаюсь использовать. Когда я запускаю: bundle install, я получаю эту ошибку: К сожалению, ...
вопрос задан: 28 July 2014 20:48
1
ответ

puppet rspec нет такого файла для загрузки & mdash; rspec-puppet (LoadError)

У меня нет опыта в рубине. Меня не интересует рубин (и поэтому я не знаю никаких рельсов и т. Д.), Но я использую марионетку для управления группой серверов. Я написал несколько модулей ...
вопрос задан: 4 June 2014 16:24
1
ответ

gem install eventmachine не работает, используя rvm

Ubuntu 13.10 64bit, ruby ​​2.1.1 rvm 1.25.24 gem 2.2.2 из файла журнала: compiling pipe.cpp ...
вопрос задан: 2 May 2014 15:24
1
ответ

почему sudo gem install не удается, но установка gem успешно завершена?

Я просто делаю sudo gem install sqlite3 и получаю ответ: sudo: gem: command not found Затем я делаю gem install sqlite3, и он работает. Где проблема с sudo?
вопрос задан: 7 September 2013 11:19
1
ответ

ошибка: альтернативный камень не может быть хозяином: это раб рубина

Я изо всех сил пытаюсь получить рубин и работать, и я получаю это сообщение во многих установках. Варианты обновлений: ошибка: альтернативный камень не может быть хозяином: он является подчиненным рубином. Полное сообщение: ...
вопрос задан: 29 March 2013 09:31
1
ответ

не может грабить, отсутствует драгоценный камень, но он доступен

Я пытаюсь грабить, но я продолжаю получать это. Как вы можете видеть, i18n (0.6.4) установлен и жив, так что происходит? что мне не хватает? Я попытался удалить и установить снова, все прошло хорошо, но ...
вопрос задан: 16 March 2013 22:30
1
ответ

Не удалось найти допустимый gem 'rails' (& gt; = 0) в любом репозитории

Я пытаюсь установить рельсы, используя следующую команду: sudo gem install rails и получить следующую ошибку: ERROR: Не удалось найти допустимый gem 'rails' (& gt; = 0) в любом репозитории. ОШИБКА: возможно ...
вопрос задан: 20 October 2012 16:53
1
ответ

Невозможно установить драгоценные камни из-за прокси-сервера

Я запускаю 12.04 в VM, и я за корпоративным прокси. У меня установлены переменные окружения (пробовал как нижний, так и весь верхний регистр для [http | https | ftp] _proxy, а также не указывая ...
вопрос задан: 6 July 2012 18:42
0
ответов

Как установить Tiny TDS на Ubuntu 16.04?

Итак, во-первых, я много раз пробовал и обнаружил, что для установки tiny_tds на Ubuntu 16.04 вам нужно следующее: Gem (легко устанавливается с использованием sudo apt-get install gem); Ruby (еще раз sudo apt-get ...
вопрос задан: 17 April 2018 03:46
0
ответов

colorls недоступны на некоторых эмуляторах терминалов?

столкнувшись с какой-то странной проблемой, я абсолютно не знаю, как устранить неполадки (и не нашел ничего полезного в Google), так что я мог бы попросить несколько советов. Я установил colorls и ...
вопрос задан: 27 March 2018 01:12
0
ответов

Не удается установить ncurses gem

Я пытаюсь установить ncurses gem, но когда я это сделаю, я получаю этот результат yamboy1 @ computer: ~ / ncurses $ gem install ncurses Построение собственных расширений. Это может занять некоторое время ... ОШИБКА: Ошибка ...
вопрос задан: 13 December 2017 03:05